<div class="container mt-5">
    <form [formGroup]="pesquisarAtendimentoForm">
        <div class="d-flex flex-row-reverse mt-2">
            <button [routerLink]="['../cadastro']" class="btn btn-primary" type="submit">Cadastrar</button>
        </div>
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="associadoInput">Associado</label>
                <input aria-describedby="associado" class="form-control" formControlName="associado" id="associadoInput"
                       type="text">
            </div>
            <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6 col-xxl-6">
                <label class="form-label" for="prestadorInput">Prestador</label>
                <input aria-describedby="prestador" class="form-control" formControlName="prestador" id="prestadorInput"
                       type="text">
            </div>
        </div>
        <div class="row">
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="conveniadoInput">Conveniado</label>
                <input aria-describedby="conveniado" class="form-control" formControlName="conveniado"
                       id="conveniadoInput"
                       type="text">
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="dataAtendimentoInput">Data de Atendimento</label>
                <input aria-describedby="dataAtendimento" class="form-control"
                       formControlName="dataAtendimento" id="dataAtendimentoInput"
                       type="text">
            </div>
            <div class="col-xs-4 col-sm-4 col-md-4 col-lg-4 col-xl-4 col-xxl-4">
                <label class="form-label" for="exameConfirmadoInput">Exame confirmado</label>
                <select aria-describedby="exameConfirmado" class="form-select" formControlName="confirmado"
                        id="exameConfirmadoInput">
                    <option selected value="true">Sim</option>
                    <option value="false">Não</option>
                </select>
            </div>
            <div class="d-flex flex-row-reverse mt-2">
                <button (click)="pesquisar()" class="btn btn-primary" type="submit">Pesquisar</button>
                <button (click)="limpar()" class="btn btn-outline-danger me-2" type="submit">Limpar</button>
            </div>
        </div>
    </form>
</div>

<div class="container mt-5">
    <mat-table [dataSource]="dataSource" class="mat-elevation-z8" matSort>

        <ng-container matColumnDef="prestador">
            <mat-header-cell *matHeaderCellDef>Prestador</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.prestador}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="associado">
            <mat-header-cell *matHeaderCellDef>Associado</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.associado}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="conveniado">
            <mat-header-cell *matHeaderCellDef>Conveniado</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.conveniado}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="horario">
            <mat-header-cell *matHeaderCellDef>Data Atendimento</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.horario}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="observacoes">
            <mat-header-cell *matHeaderCellDef>Obervações</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.observacoes}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="confirmado">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Exame está confirmado?</mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.confirmado ? 'Sim' : 'Não'}} </mat-cell>
        </ng-container>

        <ng-container matColumnDef="acao">
            <mat-header-cell *matHeaderCellDef>Ações</mat-header-cell>
            <mat-cell *matCellDef="let row">

                <a (click)="openDialogConfirmacao(row)" *ngIf="!row.confirmado" mat-icon-button>
                    <mat-icon [matTooltip]="'Confirmar consulta'" color="primary">check</mat-icon>
                </a>
                <a (click)="openDialogIniciarAtendimento(row)" *ngIf="row.confirmado" mat-icon-button>
                    <mat-icon [matTooltip]="'Iniciar Atendimento'" color="primary">event</mat-icon>
                </a>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

        <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>
    </mat-table>
    <div *ngIf="dataSource.data.length == 0" class="mat-table__message">Nenhum resultado encontrado</div>
    <div class="mat-table__bottom">
        <mat-paginator (page)="pageEvent = $event"
                       [length]="length"
                       [pageSizeOptions]="pageSizeOptions"
                       [pageSize]="pageSize">
        </mat-paginator>
    </div>
</div>

